Proteins Motifs
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/proteins/motifsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/proteins/motifs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/proteins/motifs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"protein": "<string>",
"complex": "<string>",
"motif": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Proteins Motifs
Retrieve motifs for proteins.
Set verbose = true to retrieve full info on the motifs.
Protein IDs support the following formats: ENSP00000384707.1 or ENSP00000384707 (Ensembl IDs) or P49711-2 (Uniprot ids)
Example: protein_id = ENSP00000384707,
protein_name = CTCF,
uniprot_name = CTCF_HUMAN,
uniprot_full_name = Transcriptional repressor CTCF,
dbxrefs = P49711,
organism = Homo sapiens.
The limit parameter controls the page size and can not exceed 1000.
Pagination is 0-based.
Proteins Motifs
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/proteins/motifsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/proteins/motifs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/proteins/motifs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"protein": "<string>",
"complex": "<string>",
"motif": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Homo sapiens Available options:
true, false